- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::DenseGenMatrixSpace Class Reference

This is the matrix space for DenseGenMatrix. More...

`#include <IpDenseGenMatrix.hpp>`

Inheritance diagram for Ipopt::DenseGenMatrixSpace:

[legend]
Collaboration diagram for Ipopt::DenseGenMatrixSpace:

[legend]
List of all members.

## Public Member Functions
DenseGenMatrix * | MakeNewDenseGenMatrix () const
| Method for creating a new matrix of this specific type.
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
Constructors / Destructors
| DenseGenMatrixSpace (Index nRows, Index nCols)
| Constructor for matrix space for DenseGenMatrices.
| ~DenseGenMatrixSpace ()
| Destructor.

## Detailed Description

This is the matrix space for DenseGenMatrix.

Definition at line 182 of file IpDenseGenMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseGenMatrixSpace::DenseGenMatrixSpace | ( | Index | nRows,
|  | Index | nCols |
| ) |  |  |

Constructor for matrix space for DenseGenMatrices.

Takes in dimension of the matrices.

Ipopt::DenseGenMatrixSpace::~DenseGenMatrixSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 193 of file IpDenseGenMatrix.hpp.

## Member Function Documentation

DenseGenMatrix* Ipopt::DenseGenMatrixSpace::MakeNewDenseGenMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 198 of file IpDenseGenMatrix.hpp.

Referenced by MakeNew(), and Ipopt::DenseGenMatrix::MakeNewDenseGenMatrix().

virtual Matrix* Ipopt::DenseGenMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 205 of file IpDenseGenMatrix.hpp.

References MakeNewDenseGenMatrix().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/LinAlg/IpDenseGenMatrix.hpp